<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE system [
 <!ENTITY INDEX "0">
]>

<system name="Tu-144D VHF radio: Landysh">
 <!-- УКВ радиостанция Ландыш -->


 <property value="1">systems/comm/Landysh/UKW[&INDEX;]/panel/switch/power</property>

 <!-- 0.025 MHz 0..39 -->
 <property value="0">systems/comm/Landysh/UKW[&INDEX;]/panel/switch/channel[0]</property>
 <!-- 1 MHz 0..17 -->
 <property value="1">systems/comm/Landysh/UKW[&INDEX;]/panel/switch/channel[1]</property>
 <property value="1">systems/comm/Landysh/UKW[&INDEX;]/panel/switch/squelch</property>
 <property value="1.0">systems/comm/Landysh/UKW[&INDEX;]/panel/pot/volume</property>




 <channel name="Landysh" execrate="16">

  <pure_gain name="systems/comm/Landysh/UKW[&INDEX;]/status/on">
   <input>systems/comm/Landysh/UKW[&INDEX;]/panel/switch/power</input>
   <gain>systems/elec/DC27-reserve/U-ok</gain>
  </pure_gain>

  <!-- Ландыш-5: 45 W rx, 100 W tx -->
  <!-- Ландыш-20: 80 W rx, 250 W tx -->
  <fcs_function name="systems/comm/Landysh/UKW[&INDEX;]/elec/DC27-reserve-A">
   <function>
    <product>
     <p>systems/comm/Landysh/UKW[&INDEX;]/panel/switch/power</p>
     <p>systems/elec/DC27-reserve/U-V</p>
     <sum>
      <v>0.110</v>
      <product>
       <p>systems/comm/Landysh/UKW[&INDEX;]/SPU-transmit[0]</p>
       <v>0.233</v>
      </product>
     </sum>
    </product>
   </function>
  </fcs_function>

  <!-- Cooling fan (only Ландыш-20). -->
  <fcs_function name="systems/comm/Landysh/UKW[&INDEX;]/elec/AC115-A">
   <function>
    <product>
     <p>systems/comm/Landysh/UKW[&INDEX;]/panel/switch/power</p>
     <p>systems/elec/DC27-reserve/U-ok</p>
     <quotient>
      <sum>
       <!-- 7 / 3 VA -->
       <v>2.33</v>
       <product>
        <p>systems/comm/Landysh/UKW[&INDEX;]/SPU-transmit[0]</p>
        <!-- 43 / 3 VA -->
        <v>14.3</v>
       </product>
      </sum>
      <max>
       <p>systems/elec/AC115/U-V</p>
       <v>70.0</v>
      </max>
     </quotient>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="systems/comm/Landysh/UKW[&INDEX;]/f-MHz">
   <output>systems/comm/Landysh/UKW[&INDEX;]/backend/selected-mhz</output>
   <!-- f = 118 + s1 + 0.025 * s0 -->
   <function>
    <sum>
     <v>118.0</v>
     <product>
      <p>systems/comm/Landysh/UKW[&INDEX;]/panel/switch/channel[0]</p>
      <v>0.025</v>
     </product>
     <p>systems/comm/Landysh/UKW[&INDEX;]/panel/switch/channel[1]</p>
     </sum>
   </function>
   <clipto>
    <min>118.0</min>
    <!-- Ландыш-5: 135.975, Ландыш-20: 135.97. -->
    <max>135.97</max>
   </clipto>
  </fcs_function>

  <switch name="systems/comm/Landysh/UKW[&INDEX;]/backend/cutoff-signal-quality">
   <default value="0.0"/>
   <test value="0.4">
    systems/comm/Landysh/UKW[&INDEX;]/panel/switch/squelch NE 0
   </test>
  </switch>

  <fcs_function name="systems/comm/Landysh/UKW[&INDEX;]/backend/volume">
   <function>
    <product>
     <p>systems/comm/Landysh/UKW[&INDEX;]/status/on</p>
     <p>systems/comm/Landysh/UKW[&INDEX;]/panel/pot/volume</p>
     <p>systems/comm/Landysh/UKW[&INDEX;]/SPU-volume-norm[0]</p>
    </product>
   </function>
  </fcs_function>

  <pure_gain name="systems/comm/Landysh/UKW[&INDEX;]/backend/ptt">
   <input>systems/comm/Landysh/UKW[&INDEX;]/SPU-transmit[0]</input>
   <gain>systems/comm/Landysh/UKW[&INDEX;]/status/on</gain>
  </pure_gain>

 </channel>


</system>
